Create or update employee list (simplified)
This endpoint is a simplified version of Create or update employee list (complex). It allows creating or modifying the list of employees including only information about the person, their service associations, and their contracts.
PUT /api/v1/businesses/{businessId}/import/simple/employees
A detailed explanation of each field that can make up the request body is provided below.
|
Required fields are marked with (*). Accepted values for |
Request body
| JSON analysis |
|---|
Object person* Contains the personal data of the employee identified by their employeeId. |
Details
|
Object serviceAssociations Contains information about the service associations established for the employee. |
Details
|
Object contracts Contains information about the contracts applied to the employee, in terms of hours worked, labour limitations, etc. |
Details
|
Request example
After analyzing the different fields, an example of the request body is shown:
[
{
"person": {
"name": "Jane",
"surname": "Santos",
"employeeId": "010203",
"seniority": "2018-03-01"
},
"serviceAssociations": [
{
"ownerProduct": "0001-G",
"product": "0001-G",
"from": "2024-01-01",
"to": null,
"disponibility": [
{
"from": "2026-01-01",
"ranges": [
{
"dayType": "ALL",
"startMinuteDay": 0,
"duration": 1440,
"available": false
}
],
"type": "SHIFT_PATTERN",
"timeFramePatternId": "d01e1e08-b2e4-48d1",
"weekStart": 1,
"blockedType": "NON_EXTENSIBLE_TIME"
}
]
}
],
"contracts": [
{
"from": "2026-01-01",
"to": null,
"regularMinutes": 0,
"additionalMinutes": 0,
"regularControlPeriod": "WEEKLY",
"additionalControlPeriod": "WEEKLY",
"calendarDaysOff": false,
"numberOfHolidays": 0,
"numberOfPublicHolidays": 0,
"weeklyDaysInvolved": "MONDAY_SUNDAY",
"personCategory": "AV",
"contractTypeId": "JC40"
}
]
}
]
Considerations
If the request body is not valid JSON or cannot be read, the request will return a 400 Bad Request error.
If a field marked as required is not provided, the request will return a 406 Not Acceptable error.
If a numeric field receives a negative value, the request will return a 406 Not Acceptable error.
In contracts and service associations, if the start date (from) is later than the end date (to), the request will return a 406 Not Acceptable error.
If the value of an enumerated field does not match any of the defined values, the request will return an error.
|
It is recommended to review the response body in case of an error, as it includes relevant information for diagnosis and debugging, such as invalid fields or unrecognized values. |
Each entity in the list has its own state, meaning each element of the list has its own set of attributes or properties that can be independently updated.
No more than 30 elements are allowed in the request body.
|
If the employee category ( |